Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.runtime
Interface DataSpaceRuntimeServiceMBean

All Superinterfaces:
  DataSpaceLocalRuntimeServiceMBean

    public interface DataSpaceRuntimeServiceMBean

extends DataSpaceLocalRuntimeServiceMBean

Returns monitoring information for a dataspace at the domain level. This mbean unlike the DataSpaceLocalRuntimeServiceMBean is deployed only on the admin server. This mbean extends DataSpaceLocalRuntimeServiceMBean and returns the aggregated data from DataSpaceLocalRuntimeServiceMBean mbean. It also adds monitoring methods that are relevant at the dataspace level only.

Field Summary
`static java.lang.String` | `NAME_INFIX`
`static java.lang.String` | `NAME_PREFIX`

Method Summary
`boolean` | `cleanFunctionCache(javax.xml.namespace.QName function, int arity)` Removes the cached entries for the specified function.
`boolean` | `cleanFunctionCaches()` Removes all cached entries.
`int` | `getFunctionCacheCount(javax.xml.namespace.QName function, int arity)`
`int` | `getTotalFunctionCacheCount()`
`boolean` | `isCacheActive()` Returns true when the cache has been enabled for the dataspace and is also active.

Methods inherited from interface com.bea.dsp.management.runtime.DataSpaceLocalRuntimeServiceMBean
`getNumberOfActiveRequests, getRequestRuntimes, killRequest`

Field Detail

### NAME_PREFIX

    static final java.lang.String NAME_PREFIX

See Also:
  Constant Field Values

### NAME_INFIX

    static final java.lang.String NAME_INFIX

Method Detail

### isCacheActive

    boolean isCacheActive()

  Returns true when the cache has been enabled for the dataspace and is also active.

### cleanFunctionCache

    boolean cleanFunctionCache(javax.xml.namespace.QName function,
                               int arity)
                               throws com.bea.ld.CacheException

  Removes the cached entries for the specified function.

  Parameters:
    `function` - The qualified data service function name.
    `arity` - The number of function arguments.
  Returns:
    A boolean value indicating whether the operation was successful.
  Throws:
    `com.bea.ld.CacheException`

### cleanFunctionCaches

    boolean cleanFunctionCaches()
                                throws com.bea.ld.CacheException

  Removes all cached entries.

  Returns:
    A boolean value indicating whether the operation was successful.
  Throws:
    `com.bea.ld.CacheException`

### getFunctionCacheCount

    int getFunctionCacheCount(javax.xml.namespace.QName function,
                              int arity)
                              throws com.bea.ld.CacheException

  Parameters:
    `function` - The qualified data service function name.
    `arity` - The number of function arguments.
  Returns:
    Returns (-1) if the cached is not enabled; Otherwise it retrieves the number of cached entries for the specified function.
  Throws:
    `com.bea.ld.CacheException` - If the number of cached entries cannot be retrieved.

### getTotalFunctionCacheCount

    int getTotalFunctionCacheCount()
                                   throws com.bea.ld.CacheException

  Returns:
    Returns (-1) if the cached is not enabled; Otherwise it retrieves the number of all cached entries.
  Throws:
    `com.bea.ld.CacheException` - If the number of cached entries cannot be retrieved.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.